Update eclipse Android Development Toolkit to version 23.0.0

I hit the following irritating issue when I started eclipse up recently.

"This Android SDK requires Android Developer Toolkit version 23.0.0 or above. 

Current Version is 22.6.3.v201404151837-1123206. 

Please update ADT to the latest version." 



The really irritating thing was that clicking on Check for Updates found no updates! After a lot of different attempts, here's the steps I used to resolve this.

1. In Eclipse go to Help -> About Eclipse SDK


2. Click on "Installation Details".



3. Select Android Development Tools and click the uninstall button. You will need to restart once this is finished.


4. Now select Help-> Install new software.


5. Expand Developer Tools and select Android Development Tools and select next


6. Click next a few times and then finish.The installation will then begin. Accept any warnings about unsigned content. 

7. You'll be asked for another restart. Restart now.

  
Eclipse should now open with no errors. I hope this helps. I tried following others steps from stackoverflow  but had no success but these steps worked a treat. 

NOTE: At step 2 and 3 you can choose to uninstall all of these options and update all. In this article I focused on only the Android development tools.

Comments

Popular posts from this blog

Integrating Google Analytics into existing Android app

Android: Programmatically get list of installed apps on an Android device